Index: EcnlProtoTool/trunk/asp3_dcre/include/kernel.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/include/kernel.h	(revision 299)
+++ EcnlProtoTool/trunk/asp3_dcre/include/kernel.h	(revision 321)
@@ -9,47 +9,32 @@
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  $Id$
@@ -57,13 +42,12 @@
 
 /*
- *		TOPPERS/ASPã«ã¼ãã« æ¨æºããããã¡ã¤ã«
+ *		TOPPERS/ASPカーネル 標準ヘッダファイル
  *
- *  TOPPERS/ASPã«ã¼ãã«ããµãã¼ããããµã¼ãã¹ã³ã¼ã«ã®å®£è¨ã¨ï¼å¿
-è¦ãªãã¼
- *  ã¿åï¼å®æ°ï¼ãã¯ã­ã®å®ç¾©ãå«ãããããã¡ã¤ã«ï¼
+ *  TOPPERS/ASPカーネルがサポートするサービスコールの宣言と，必要なデー
+ *  タ型，定数，マクロの定義を含むヘッダファイル．
  *
- *  ã¢ã»ã³ããªè¨èªã®ã½ã¼ã¹ãã¡ã¤ã«ãããã®ãã¡ã¤ã«ãã¤ã³ã¯ã«ã¼ãããæ
- *  ã¯ï¼TOPPERS_MACRO_ONLYãå®ç¾©ãã¦ããï¼ããã«ããï¼ãã¯ã­å®ç¾©ä»¥å¤ã
- *  é¤ãããã«ãªã£ã¦ããï¼
+ *  アセンブリ言語のソースファイルからこのファイルをインクルードする時
+ *  は，TOPPERS_MACRO_ONLYを定義しておく．これにより，マクロ定義以外を
+ *  除くようになっている．
  */
 
@@ -76,43 +60,42 @@
 
 /*
- *	TOPPERSå
-±éã®ãã¼ã¿åã»å®æ°ã»ãã¯ã­
+ *	TOPPERS共通のデータ型・定数・マクロ
  */
 #include <t_stddef.h>
 
 /*
- *  ã¿ã¼ã²ããä¾å­é¨
+ *  ターゲット依存部
  */
 #include "target_kernel.h"
 
 /*
- *  ãµãã¼ãããæ©è½
+ *  サポートする機能
  */
 #ifdef TOPPERS_TARGET_SUPPORT_DIS_INT
-#define TOPPERS_SUPPORT_DIS_INT			/* dis_intããµãã¼ãããã¦ãã */
+#define TOPPERS_SUPPORT_DIS_INT			/* dis_intがサポートされている */
 #endif /* TOPPERS_TARGET_SUPPORT_DIS_INT */
 
 #ifdef TOPPERS_TARGET_SUPPORT_ENA_INT
-#define TOPPERS_SUPPORT_ENA_INT			/* ena_intããµãã¼ãããã¦ãã */
+#define TOPPERS_SUPPORT_ENA_INT			/* ena_intがサポートされている */
 #endif /* TOPPERS_TARGET_SUPPORT_ENA_INT */
 
-#define TOPPERS_SUPPORT_DYNAMIC_CRE		/* åççææ©è½æ¡å¼µ */
+#define TOPPERS_SUPPORT_DYNAMIC_CRE		/* 動的生成機能拡張 */
 
 #ifndef TOPPERS_MACRO_ONLY
 
 /*
- *  ãã¼ã¿åã®å®ç¾©
- */
-
-/*
- *  ããããã¿ã¼ã³ããªãã¸ã§ã¯ãçªå·ã®åå®ç¾©
- */
-typedef	uint_t		FLGPTN;		/* ã¤ãã³ããã©ã°ã®ããããã¿ã¼ã³ */
-typedef	uint_t		INTNO;		/* å²è¾¼ã¿çªå· */
-typedef	uint_t		INHNO;		/* å²è¾¼ã¿ãã³ãã©çªå· */
-typedef	uint_t		EXCNO;		/* CPUä¾å¤ãã³ãã©çªå· */
-
-/*
- *  å¦çåä½ã®åå®ç¾©
+ *  データ型の定義
+ */
+
+/*
+ *  ビットパターンやオブジェクト番号の型定義
+ */
+typedef	uint_t		FLGPTN;		/* イベントフラグのビットパターン */
+typedef	uint_t		INTNO;		/* 割込み番号 */
+typedef	uint_t		INHNO;		/* 割込みハンドラ番号 */
+typedef	uint_t		EXCNO;		/* CPU例外ハンドラ番号 */
+
+/*
+ *  処理単位の型定義
  */
 typedef void	(*TASK)(intptr_t exinf);
@@ -125,65 +108,62 @@
 
 /*
- *  ã¡ã¢ãªé åç¢ºä¿ã®ããã®åå®ç¾©
+ *  メモリ領域確保のための型定義
  */
 #ifndef TOPPERS_STK_T
 #define TOPPERS_STK_T	intptr_t
 #endif /* TOPPERS_STK_T */
-typedef	TOPPERS_STK_T	STK_T;	/* ã¹ã¿ãã¯é åãç¢ºä¿ããããã®å */
+typedef	TOPPERS_STK_T	STK_T;	/* スタック領域を確保するための型 */
 
 #ifndef TOPPERS_MPF_T
 #define TOPPERS_MPF_T	intptr_t
 #endif /* TOPPERS_MPF_T */
-typedef	TOPPERS_MPF_T	MPF_T;	/* åºå®é·ã¡ã¢ãªãã¼ã«é åãç¢ºä¿ããããã®å */
-
-/*
- *  ã¿ã¤ã ã¤ãã³ãã®éç¥æ¹æ³ã®ãã±ããå½¢å¼ã®å®ç¾©
- */
-typedef struct {
-	intptr_t	exinf;		/* ã¿ã¤ã ã¤ãã³ããã³ãã©ã®æ¡å¼µæ
-å ± */
-	TMEHDR		tmehdr;		/* ã¿ã¤ã ã¤ãã³ããã³ãã©ã®å
-é ­çªå° */
+typedef	TOPPERS_MPF_T	MPF_T;	/* 固定長メモリプール領域を確保するための型 */
+
+/*
+ *  タイムイベントの通知方法のパケット形式の定義
+ */
+typedef struct {
+	intptr_t	exinf;		/* タイムイベントハンドラの拡張情報 */
+	TMEHDR		tmehdr;		/* タイムイベントハンドラの先頭番地 */
 } T_NFY_HDR;
 
 typedef struct {
-	intptr_t	*p_var;		/* å¤æ°ã®çªå° */
-	intptr_t	value;		/* è¨­å®ããå¤ */
+	intptr_t	*p_var;		/* 変数の番地 */
+	intptr_t	value;		/* 設定する値 */
 } T_NFY_VAR;
 
 typedef struct {
-	intptr_t	*p_var;		/* å¤æ°ã®çªå° */
+	intptr_t	*p_var;		/* 変数の番地 */
 } T_NFY_IVAR;
 
 typedef struct {
-	ID			tskid;		/* ã¿ã¹ã¯ID */
+	ID			tskid;		/* タスクID */
 } T_NFY_TSK;
 
 typedef struct {
-	ID			semid;		/* ã»ããã©ID */
+	ID			semid;		/* セマフォID */
 } T_NFY_SEM;
 
 typedef struct {
-	ID			flgid;		/* ã¤ãã³ããã©ã°ID */
-	FLGPTN		flgptn;		/* ã»ããããããããã¿ã¼ã³ */
+	ID			flgid;		/* イベントフラグID */
+	FLGPTN		flgptn;		/* セットするビットパターン */
 } T_NFY_FLG;
 
 typedef struct {
-	ID			dtqid;		/* ãã¼ã¿ã­ã¥ã¼ID */
-	intptr_t	data;		/* éä¿¡ããå¤ */
+	ID			dtqid;		/* データキューID */
+	intptr_t	data;		/* 送信する値 */
 } T_NFY_DTQ;
 
 typedef struct {
-	intptr_t	*p_var;		/* å¤æ°ã®çªå° */
+	intptr_t	*p_var;		/* 変数の番地 */
 } T_ENFY_VAR;
 
 typedef struct {
-	ID			dtqid;		/* ãã¼ã¿ã­ã¥ã¼ID */
+	ID			dtqid;		/* データキューID */
 } T_ENFY_DTQ;
 
 typedef struct {
-	MODE	nfymode;			/* éç¥å¦çã¢ã¼ã */
-	union {						/* ã¿ã¤ã ã¤ãã³ãã®éç¥ã«é¢ããä»éæ
-å ± */
+	MODE	nfymode;			/* 通知処理モード */
+	union {						/* タイムイベントの通知に関する付随情報 */
 		T_NFY_HDR	handler;
 		T_NFY_VAR	setvar;		
@@ -195,6 +175,5 @@
 		T_NFY_DTQ	snddtq;
 	} nfy;
-	union {						/* ã¨ã©ã¼ã®éç¥ã«é¢ããä»éæ
-å ± */
+	union {						/* エラーの通知に関する付随情報 */
 		T_ENFY_VAR	setvar;
 		T_NFY_IVAR	incvar;		
@@ -208,184 +187,139 @@
 
 /*
- *  ãã±ããå½¢å¼ã®å®ç¾©
+ *  パケット形式の定義
  */
 typedef struct t_ctsk {
-	ATR			tskatr;		/* ã¿ã¹ã¯å±æ§ */
-	intptr_t	exinf;		/* ã¿ã¹ã¯ã®æ¡å¼µæ
-å ± */
-	TASK		task;		/* ã¿ã¹ã¯ã®ã¡ã¤ã³ã«ã¼ãã³ã®å
-é ­çªå° */
-	PRI			itskpri;	/* ã¿ã¹ã¯ã®èµ·åæåªå
-åº¦ */
-	size_t		stksz;		/* ã¿ã¹ã¯ã®ã¹ã¿ãã¯é åã®ãµã¤ãº */
-	STK_T 		*stk;		/* ã¿ã¹ã¯ã®ã¹ã¿ãã¯é åã®å
-é ­çªå° */
+	ATR			tskatr;		/* タスク属性 */
+	intptr_t	exinf;		/* タスクの拡張情報 */
+	TASK		task;		/* タスクのメインルーチンの先頭番地 */
+	PRI			itskpri;	/* タスクの起動時優先度 */
+	size_t		stksz;		/* タスクのスタック領域のサイズ */
+	STK_T 		*stk;		/* タスクのスタック領域の先頭番地 */
 } T_CTSK;
 
 typedef struct t_rtsk {
-	STAT	tskstat;	/* ã¿ã¹ã¯ç¶æ
- */
-	PRI		tskpri;		/* ã¿ã¹ã¯ã®ç¾å¨åªå
-åº¦ */
-	PRI		tskbpri;	/* ã¿ã¹ã¯ã®ãã¼ã¹åªå
-åº¦ */
-	STAT	tskwait;	/* å¾
-ã¡è¦å  */
-	ID		wobjid;		/* å¾
-ã¡å¯¾è±¡ã®ãªãã¸ã§ã¯ãã®ID */
-	TMO		lefttmo;	/* ã¿ã¤ã ã¢ã¦ãããã¾ã§ã®æé */
-	uint_t	actcnt;		/* èµ·åè¦æ±ã­ã¥ã¼ã¤ã³ã°æ° */
-	uint_t	wupcnt;		/* èµ·åºè¦æ±ã­ã¥ã¼ã¤ã³ã°æ° */
-	bool_t	raster;		/* ã¿ã¹ã¯çµäºè¦æ±ç¶æ
- */
-	bool_t	dister;		/* ã¿ã¹ã¯çµäºç¦æ­¢ç¶æ
- */
+	STAT	tskstat;	/* タスク状態 */
+	PRI		tskpri;		/* タスクの現在優先度 */
+	PRI		tskbpri;	/* タスクのベース優先度 */
+	STAT	tskwait;	/* 待ち要因 */
+	ID		wobjid;		/* 待ち対象のオブジェクトのID */
+	TMO		lefttmo;	/* タイムアウトするまでの時間 */
+	uint_t	actcnt;		/* 起動要求キューイング数 */
+	uint_t	wupcnt;		/* 起床要求キューイング数 */
+	bool_t	raster;		/* タスク終了要求状態 */
+	bool_t	dister;		/* タスク終了禁止状態 */
 } T_RTSK;
 
 typedef struct t_csem {
-	ATR		sematr;		/* ã»ããã©å±æ§ */
-	uint_t	isemcnt;	/* ã»ããã©ã®åæè³æºæ° */
-	uint_t	maxsem;		/* ã»ããã©ã®æå¤§è³æºæ° */
+	ATR		sematr;		/* セマフォ属性 */
+	uint_t	isemcnt;	/* セマフォの初期資源数 */
+	uint_t	maxsem;		/* セマフォの最大資源数 */
 } T_CSEM;
 
 typedef struct t_rsem {
-	ID		wtskid;		/* ã»ããã©ã®å¾
-ã¡è¡åã®å
-é ­ã®ã¿ã¹ã¯ã®IDçªå· */
-	uint_t	semcnt;		/* ã»ããã©ã®ç¾å¨ã®è³æºæ° */
+	ID		wtskid;		/* セマフォの待ち行列の先頭のタスクのID番号 */
+	uint_t	semcnt;		/* セマフォの現在の資源数 */
 } T_RSEM;
 
 typedef struct t_cflg {
-	ATR		flgatr;		/* ã¤ãã³ããã©ã°å±æ§ */
-	FLGPTN	iflgptn;	/* ã¤ãã³ããã©ã°ã®åæããããã¿ã¼ã³ */
+	ATR		flgatr;		/* イベントフラグ属性 */
+	FLGPTN	iflgptn;	/* イベントフラグの初期ビットパターン */
 } T_CFLG;
 
 typedef struct t_rflg {
-	ID		wtskid;		/* ã¤ãã³ããã©ã°ã®å¾
-ã¡è¡åã®å
-é ­ã®ã¿ã¹ã¯ã®IDçªå· */
-	FLGPTN	flgptn;		/* ã¤ãã³ããã©ã°ã®ç¾å¨ã®ããããã¿ã¼ã³ */
+	ID		wtskid;		/* イベントフラグの待ち行列の先頭のタスクのID番号 */
+	FLGPTN	flgptn;		/* イベントフラグの現在のビットパターン */
 } T_RFLG;
 
 typedef struct t_cdtq {
-	ATR		dtqatr;		/* ãã¼ã¿ã­ã¥ã¼å±æ§ */
-	uint_t	dtqcnt;		/* ãã¼ã¿ã­ã¥ã¼ç®¡çé åã«æ ¼ç´ã§ãããã¼ã¿æ° */
-	void 	*dtqmb;		/* ãã¼ã¿ã­ã¥ã¼ç®¡çé åã®å
-é ­çªå° */
+	ATR		dtqatr;		/* データキュー属性 */
+	uint_t	dtqcnt;		/* データキュー管理領域に格納できるデータ数 */
+	void 	*dtqmb;		/* データキュー管理領域の先頭番地 */
 } T_CDTQ;
 
 typedef struct t_rdtq {
-	ID		stskid;		/* ãã¼ã¿ã­ã¥ã¼ã®éä¿¡å¾
-ã¡è¡åã®å
-é ­ã®ã¿ã¹ã¯ã®IDçªå· */
-	ID		rtskid;		/* ãã¼ã¿ã­ã¥ã¼ã®åä¿¡å¾
-ã¡è¡åã®å
-é ­ã®ã¿ã¹ã¯ã®IDçªå· */
-	uint_t	sdtqcnt;	/* ãã¼ã¿ã­ã¥ã¼ç®¡çé åã«æ ¼ç´ããã¦ãããã¼ã¿ã®æ° */
+	ID		stskid;		/* データキューの送信待ち行列の先頭のタスクのID番号 */
+	ID		rtskid;		/* データキューの受信待ち行列の先頭のタスクのID番号 */
+	uint_t	sdtqcnt;	/* データキュー管理領域に格納されているデータの数 */
 } T_RDTQ;
 
 typedef struct t_cpdq {
-	ATR		pdqatr;		/* åªå
-åº¦ãã¼ã¿ã­ã¥ã¼å±æ§ */
-	uint_t	pdqcnt;		/* åªå
-åº¦ãã¼ã¿ã­ã¥ã¼ç®¡çé åã«æ ¼ç´ã§ãããã¼ã¿æ° */
-	PRI		maxdpri;	/* åªå
-åº¦ãã¼ã¿ã­ã¥ã¼ã«éä¿¡ã§ãããã¼ã¿åªå
-åº¦ã®æ
-						   å¤§å¤ */
-	void 	*pdqmb;		/* åªå
-åº¦ãã¼ã¿ã­ã¥ã¼ç®¡çé åã®å
-é ­çªå° */
+	ATR		pdqatr;		/* 優先度データキュー属性 */
+	uint_t	pdqcnt;		/* 優先度データキュー管理領域に格納できるデータ数 */
+	PRI		maxdpri;	/* 優先度データキューに送信できるデータ優先度の最
+						   大値 */
+	void 	*pdqmb;		/* 優先度データキュー管理領域の先頭番地 */
 } T_CPDQ;
 
 typedef struct t_rpdq {
-	ID		stskid;		/* åªå
-åº¦ãã¼ã¿ã­ã¥ã¼ã®éä¿¡å¾
-ã¡è¡åã®å
-é ­ã®ã¿ã¹ã¯
-						   ã®IDçªå· */
-	ID		rtskid;		/* åªå
-åº¦ãã¼ã¿ã­ã¥ã¼ã®åä¿¡å¾
-ã¡è¡åã®å
-é ­ã®ã¿ã¹ã¯
-						   ã®IDçªå· */
-	uint_t	spdqcnt;	/* åªå
-åº¦ãã¼ã¿ã­ã¥ã¼ç®¡çé åã«æ ¼ç´ããã¦ãããã¼
-						   ã¿ã®æ° */
+	ID		stskid;		/* 優先度データキューの送信待ち行列の先頭のタスク
+						   のID番号 */
+	ID		rtskid;		/* 優先度データキューの受信待ち行列の先頭のタスク
+						   のID番号 */
+	uint_t	spdqcnt;	/* 優先度データキュー管理領域に格納されているデー
+						   タの数 */
 } T_RPDQ;
 
 typedef struct t_cmtx {
-	ATR		mtxatr;		/* ãã¥ã¼ããã¯ã¹å±æ§ */
-	PRI		ceilpri;	/* ãã¥ã¼ããã¯ã¹ã®ä¸éåªå
-åº¦ */
+	ATR		mtxatr;		/* ミューテックス属性 */
+	PRI		ceilpri;	/* ミューテックスの上限優先度 */
 } T_CMTX;
 
 typedef struct t_rmtx {
-	ID		htskid;		/* ãã¥ã¼ããã¯ã¹ãã­ãã¯ãã¦ããã¿ã¹ã¯ã®IDçªå· */
-	ID		wtskid;		/* ãã¥ã¼ããã¯ã¹ã®å¾
-ã¡è¡åã®å
-é ­ã®ã¿ã¹ã¯ã®IDçªå· */
+	ID		htskid;		/* ミューテックスをロックしているタスクのID番号 */
+	ID		wtskid;		/* ミューテックスの待ち行列の先頭のタスクのID番号 */
 } T_RMTX;
 
 typedef struct t_cmpf {
-	ATR		mpfatr;		/* åºå®é·ã¡ã¢ãªãã¼ã«å±æ§ */
-	uint_t	blkcnt;		/* ç²å¾ã§ããåºå®é·ã¡ã¢ãªãã­ãã¯ã®æ° */
-	uint_t	blksz;		/* åºå®é·ã¡ã¢ãªãã­ãã¯ã®ãµã¤ãº */
-	MPF_T 	*mpf;		/* åºå®é·ã¡ã¢ãªãã¼ã«é åã®å
-é ­çªå° */
-	void 	*mpfmb;		/* åºå®é·ã¡ã¢ãªãã¼ã«ç®¡çé åã®å
-é ­çªå° */
+	ATR		mpfatr;		/* 固定長メモリプール属性 */
+	uint_t	blkcnt;		/* 獲得できる固定長メモリブロックの数 */
+	uint_t	blksz;		/* 固定長メモリブロックのサイズ */
+	MPF_T 	*mpf;		/* 固定長メモリプール領域の先頭番地 */
+	void 	*mpfmb;		/* 固定長メモリプール管理領域の先頭番地 */
 } T_CMPF;
 
 typedef struct t_rmpf {
-	ID		wtskid;		/* åºå®é·ã¡ã¢ãªãã¼ã«ã®å¾
-ã¡è¡åã®å
-é ­ã®ã¿ã¹ã¯ã®
-						   IDçªå· */
-	uint_t	fblkcnt;	/* åºå®é·ã¡ã¢ãªãã¼ã«é åã®ç©ºãã¡ã¢ãªé åã«å²ã
-						   ä»ãããã¨ãã§ããåºå®é·ã¡ã¢ãªãã­ãã¯ã®æ° */
+	ID		wtskid;		/* 固定長メモリプールの待ち行列の先頭のタスクの
+						   ID番号 */
+	uint_t	fblkcnt;	/* 固定長メモリプール領域の空きメモリ領域に割り
+						   付けることができる固定長メモリブロックの数 */
 } T_RMPF;
 
 typedef struct t_ccyc {
-	ATR			cycatr;		/* å¨æéç¥å±æ§ */
-	T_NFYINFO	nfyinfo;	/* å¨æéç¥ã®éç¥æ¹æ³ */
-	RELTIM		cyctim;		/* å¨æéç¥ã®éç¥å¨æ */
-	RELTIM		cycphs;		/* å¨æéç¥ã®éç¥ä½ç¸ */
+	ATR			cycatr;		/* 周期通知属性 */
+	T_NFYINFO	nfyinfo;	/* 周期通知の通知方法 */
+	RELTIM		cyctim;		/* 周期通知の通知周期 */
+	RELTIM		cycphs;		/* 周期通知の通知位相 */
 } T_CCYC;
 
 typedef struct t_rcyc {
-	STAT	cycstat;	/* å¨æéç¥ã®åä½ç¶æ
- */
-	RELTIM	lefttim;	/* æ¬¡åéç¥æå»ã¾ã§ã®ç¸å¯¾æé */
+	STAT	cycstat;	/* 周期通知の動作状態 */
+	RELTIM	lefttim;	/* 次回通知時刻までの相対時間 */
 } T_RCYC;
 
 typedef struct t_calm {
-	ATR			almatr;		/* ã¢ã©ã¼ã éç¥å±æ§ */
-	T_NFYINFO	nfyinfo;	/* ã¢ã©ã¼ã éç¥ã®éç¥æ¹æ³ */
+	ATR			almatr;		/* アラーム通知属性 */
+	T_NFYINFO	nfyinfo;	/* アラーム通知の通知方法 */
 } T_CALM;
 
 typedef struct t_ralm {
-	STAT	almstat;	/* ã¢ã©ã¼ã éç¥ã®åä½ç¶æ
- */
-	RELTIM	lefttim;	/* éç¥æå»ã¾ã§ã®ç¸å¯¾æé */
+	STAT	almstat;	/* アラーム通知の動作状態 */
+	RELTIM	lefttim;	/* 通知時刻までの相対時間 */
 } T_RALM;
 
 typedef struct t_cisr {
-	ATR			isratr;		/* å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³å±æ§ */
-	intptr_t	exinf;		/* å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ã®æ¡å¼µæ
-å ± */
-	INTNO		intno;		/* å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ãç»é²ããå²è¾¼ã¿çªå· */
-	ISR			isr;		/* å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ã®å
-é ­çªå° */
-	PRI			isrpri;		/* å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³åªå
-åº¦ */
+	ATR			isratr;		/* 割込みサービスルーチン属性 */
+	intptr_t	exinf;		/* 割込みサービスルーチンの拡張情報 */
+	INTNO		intno;		/* 割込みサービスルーチンを登録する割込み番号 */
+	ISR			isr;		/* 割込みサービスルーチンの先頭番地 */
+	PRI			isrpri;		/* 割込みサービスルーチン優先度 */
 } T_CISR;
 
 /*
- *  ãµã¼ãã¹ã³ã¼ã«ã®å®£è¨
- */
-
-/*
- *  ã¿ã¹ã¯ç®¡çæ©è½
+ *  サービスコールの宣言
+ */
+
+/*
+ *  タスク管理機能
  */
 extern ER_UINT	acre_tsk(const T_CTSK *pk_ctsk) throw();
@@ -400,5 +334,5 @@
 
 /*
- *  ã¿ã¹ã¯ä»å±åææ©è½
+ *  タスク付属同期機能
  */
 extern ER		slp_tsk(void) throw();
@@ -412,5 +346,5 @@
 
 /*
- *  ã¿ã¹ã¯çµäºæ©è½
+ *  タスク終了機能
  */
 extern ER		ext_tsk(void) throw();
@@ -422,5 +356,5 @@
 
 /*
- *  åæã»éä¿¡æ©è½
+ *  同期・通信機能
  */
 extern ER_ID	acre_sem(const T_CSEM *pk_csem) throw();
@@ -481,5 +415,5 @@
 
 /*
- *  ã¡ã¢ãªãã¼ã«ç®¡çæ©è½
+ *  メモリプール管理機能
  */
 extern ER_ID	acre_mpf(const T_CMPF *pk_cmpf) throw();
@@ -493,5 +427,5 @@
 
 /*
- *  æéç®¡çæ©è½
+ *  時間管理機能
  */
 extern ER		set_tim(SYSTIM systim) throw();
@@ -513,6 +447,5 @@
 
 /*
- *  ã·ã¹ãã ç¶æ
-ç®¡çæ©è½
+ *  システム状態管理機能
  */
 extern ER		rot_rdq(PRI tskpri) throw();
@@ -532,5 +465,5 @@
 
 /*
- *  å²è¾¼ã¿ç®¡çæ©è½
+ *  割込み管理機能
  */
 extern ER_ID	acre_isr(const T_CISR *pk_cisr) throw();
@@ -542,5 +475,5 @@
 
 /*
- *  CPUä¾å¤ç®¡çæ©è½
+ *  CPU例外管理機能
  */
 extern bool_t	xsns_dpn(void *p_excinf) throw();
@@ -549,5 +482,5 @@
 
 /*
- *  éã¿ã¹ã¯ã³ã³ãã­ã¹ãããå¼ã³åºãããµã¼ãã¹ã³ã¼ã«
+ *  非タスクコンテキストから呼び出せるサービスコール
  */
 #define iact_tsk(tskid)						act_tsk(tskid)
@@ -578,176 +511,133 @@
 
 /*
- *  ãªãã¸ã§ã¯ãå±æ§ã®å®ç¾©
- */
-#define TA_ACT			UINT_C(0x01)	/* ã¿ã¹ã¯ãèµ·åãããç¶æ
-ã§çæ */
-#define TA_NOACTQUE		UINT_C(0x02)	/* èµ·åè¦æ±ãã­ã¥ã¼ã¤ã³ã°ããªã */
-
-#define TA_TPRI			UINT_C(0x01)	/* ã¿ã¹ã¯ã®å¾
-ã¡è¡åãåªå
-åº¦é ã« */
-
-#define TA_WMUL			UINT_C(0x02)	/* è¤æ°ã®å¾
-ã¡ã¿ã¹ã¯ */
-#define TA_CLR			UINT_C(0x04)	/* ã¤ãã³ããã©ã°ã®ã¯ãªã¢æå® */
-
-#define TA_CEILING		UINT_C(0x03)	/* åªå
-åº¦ä¸éãã­ãã³ã« */
-
-#define TA_STA			UINT_C(0x02)	/* å¨æéç¥ãåä½ç¶æ
-ã§çæ */
-
-#define TA_NONKERNEL	UINT_C(0x02)	/* ã«ã¼ãã«ç®¡çå¤ã®å²è¾¼ã¿ */
-
-#define TA_ENAINT		UINT_C(0x01)	/* å²è¾¼ã¿è¦æ±ç¦æ­¢ãã©ã°ãã¯ãªã¢ */
-#define TA_EDGE			UINT_C(0x02)	/* ã¨ãã¸ããªã¬ */
-
-/*
- *  ãµã¼ãã¹ã³ã¼ã«ã®åä½ã¢ã¼ãã®å®ç¾©
- */
-#define TWF_ORW			UINT_C(0x01)	/* ã¤ãã³ããã©ã°ã®ORå¾
-ã¡ */
-#define TWF_ANDW		UINT_C(0x02)	/* ã¤ãã³ããã©ã°ã®ANDå¾
-ã¡ */
-
-/*
- *  éç¥å¦çã¢ã¼ãã®å®ç¾©
- */
-#define TNFY_HANDLER	UINT_C(0x00)		/* ã¿ã¤ã ã¤ãã³ããã³ãã©ã®å¼åºã */
-#define TNFY_SETVAR		UINT_C(0x01)		/* å¤æ°ã®è¨­å® */
-#define TNFY_INCVAR		UINT_C(0x02)		/* å¤æ°ã®ã¤ã³ã¯ãªã¡ã³ã */
-#define TNFY_ACTTSK		UINT_C(0x03)		/* ã¿ã¹ã¯ã®èµ·å */
-#define TNFY_WUPTSK		UINT_C(0x04)		/* ã¿ã¹ã¯ã®èµ·åº */
-#define TNFY_SIGSEM		UINT_C(0x05)		/* ã»ããã©ã®è³æºã®è¿å´ */
-#define TNFY_SETFLG		UINT_C(0x06)		/* ã¤ãã³ããã©ã°ã®ã»ãã */
-#define TNFY_SNDDTQ		UINT_C(0x07)		/* ãã¼ã¿ã­ã¥ã¼ã¸ã®éä¿¡ */
-
-#define TENFY_SETVAR	UINT_C(0x10)		/* å¤æ°ã®è¨­å® */
-#define TENFY_INCVAR	UINT_C(0x20)		/* å¤æ°ã®ã¤ã³ã¯ãªã¡ã³ã */
-#define TENFY_ACTTSK	UINT_C(0x30)		/* ã¿ã¹ã¯ã®èµ·å */
-#define TENFY_WUPTSK	UINT_C(0x40)		/* ã¿ã¹ã¯ã®èµ·åº */
-#define TENFY_SIGSEM	UINT_C(0x50)		/* ã»ããã©ã®è¿å´ */
-#define TENFY_SETFLG	UINT_C(0x60)		/* ã¤ãã³ããã©ã°ã®ã»ãã */
-#define TENFY_SNDDTQ	UINT_C(0x70)		/* ãã¼ã¿ã­ã¥ã¼ã¸ã®éä¿¡ */
-
-/*
- *  ãªãã¸ã§ã¯ãã®ç¶æ
-ã®å®ç¾©
- */
-#define TTS_RUN			UINT_C(0x01)	/* å®è¡ç¶æ
- */
-#define TTS_RDY			UINT_C(0x02)	/* å®è¡å¯è½ç¶æ
- */
-#define TTS_WAI			UINT_C(0x04)	/* å¾
-ã¡ç¶æ
- */
-#define TTS_SUS			UINT_C(0x08)	/* å¼·å¶å¾
-ã¡ç¶æ
- */
-#define TTS_WAS			UINT_C(0x0c)	/* äºéå¾
-ã¡ç¶æ
- */
-#define TTS_DMT			UINT_C(0x10)	/* ä¼æ­¢ç¶æ
- */
-
-#define TTW_SLP			UINT_C(0x0001)	/* èµ·åºå¾
-ã¡ */
-#define TTW_DLY			UINT_C(0x0002)	/* æéçµéå¾
-ã¡ */
-#define TTW_SEM			UINT_C(0x0004)	/* ã»ããã©ã®è³æºç²å¾å¾
-ã¡ */
-#define TTW_FLG			UINT_C(0x0008)	/* ã¤ãã³ããã©ã°å¾
-ã¡ */
-#define TTW_SDTQ		UINT_C(0x0010)	/* ãã¼ã¿ã­ã¥ã¼ã¸ã®éä¿¡å¾
-ã¡ */
-#define TTW_RDTQ		UINT_C(0x0020)	/* ãã¼ã¿ã­ã¥ã¼ããã®åä¿¡å¾
-ã¡ */
-#define TTW_SPDQ		UINT_C(0x0100)	/* åªå
-åº¦ãã¼ã¿ã­ã¥ã¼ã¸ã®éä¿¡å¾
-ã¡ */
-#define TTW_RPDQ		UINT_C(0x0200)	/* åªå
-åº¦ãã¼ã¿ã­ã¥ã¼ããã®åä¿¡å¾
-ã¡ */
-#define TTW_MTX			UINT_C(0x0080)	/* ãã¥ã¼ããã¯ã¹ã®ã­ãã¯å¾
-ã¡ç¶æ
- */
-#define TTW_MPF			UINT_C(0x2000)	/* åºå®é·ã¡ã¢ãªãã­ãã¯ã®ç²å¾å¾
-ã¡ */
-
-#define TCYC_STP		UINT_C(0x01)	/* å¨æéç¥ãåä½ãã¦ããªã */
-#define TCYC_STA		UINT_C(0x02)	/* å¨æéç¥ãåä½ãã¦ãã */
-
-#define TALM_STP		UINT_C(0x01)	/* ã¢ã©ã¼ã éç¥ãåä½ãã¦ããªã */
-#define TALM_STA		UINT_C(0x02)	/* ã¢ã©ã¼ã éç¥ãåä½ãã¦ãã */
-
-/*
- *  ãã®ä»ã®å®æ°ã®å®ç¾©
- */
-#define TSK_SELF		0			/* èªã¿ã¹ã¯æå® */
-#define TSK_NONE		0			/* è©²å½ããã¿ã¹ã¯ããªã */
-
-#define TPRI_SELF		0			/* èªã¿ã¹ã¯ã®ãã¼ã¹åªå
-åº¦ */
-#define TPRI_INI		0			/* ã¿ã¹ã¯ã®èµ·åæåªå
-åº¦ */
-
-#define TIPM_ENAALL		0			/* å²è¾¼ã¿åªå
-åº¦ãã¹ã¯å
-¨è§£é¤ */
-
-/*
- *  æ§æå®æ°ã¨ãã¯ã­
- */
-
-/*
- *  åªå
-åº¦ã®ç¯å²
- */
-#define TMIN_TPRI		1			/* ã¿ã¹ã¯åªå
-åº¦ã®æå°å¤ï¼æé«å¤ï¼*/
-#define TMAX_TPRI		16			/* ã¿ã¹ã¯åªå
-åº¦ã®æå¤§å¤ï¼æä½å¤ï¼*/
-#define TMIN_DPRI		1			/* ãã¼ã¿åªå
-åº¦ã®æå°å¤ï¼æé«å¤ï¼*/
-#define TMAX_DPRI		16			/* ãã¼ã¿åªå
-åº¦ã®æå¤§å¤ï¼æä½å¤ï¼*/
-#define TMIN_ISRPRI		1			/* å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³åªå
-åº¦ã®æå°å¤ */
-#define TMAX_ISRPRI		16			/* å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³åªå
-åº¦ã®æå¤§å¤ */
-
-/*
- *  ãã¼ã¸ã§ã³æ
-å ±
- */
-#define TKERNEL_MAKER	UINT_C(0x0118)	/* ã«ã¼ãã«ã®ã¡ã¼ã«ã¼ã³ã¼ã */
-#define TKERNEL_PRID	UINT_C(0x0007)	/* ã«ã¼ãã«ã®è­å¥çªå· */
-#define TKERNEL_SPVER	UINT_C(0xf631)	/* ã«ã¼ãã«ä»æ§ã®ãã¼ã¸ã§ã³çªå· */
-#define TKERNEL_PRVER	UINT_C(0x3010)	/* ã«ã¼ãã«ã®ãã¼ã¸ã§ã³çªå· */
-
-/*
- *  ã­ã¥ã¼ã¤ã³ã°åæ°ã®æå¤§å¤
- */
-#define TMAX_ACTCNT		UINT_C(1)		/* èµ·åè¦æ±ã­ã¥ã¼ã¤ã³ã°æ°ã®æå¤§å¤ */
-#define TMAX_WUPCNT		UINT_C(1)		/* èµ·åºè¦æ±ã­ã¥ã¼ã¤ã³ã°æ°ã®æå¤§å¤ */
-
-/*
- *  ããããã¿ã¼ã³ã®ãããæ°
- */
-#ifndef TBIT_FLGPTN					/* ã¤ãã³ããã©ã°ã®ãããæ° */
+ *  オブジェクト属性の定義
+ */
+#define TA_ACT			UINT_C(0x01)	/* タスクを起動された状態で生成 */
+#define TA_NOACTQUE		UINT_C(0x02)	/* 起動要求をキューイングしない */
+
+#define TA_TPRI			UINT_C(0x01)	/* タスクの待ち行列を優先度順に */
+
+#define TA_WMUL			UINT_C(0x02)	/* 複数の待ちタスク */
+#define TA_CLR			UINT_C(0x04)	/* イベントフラグのクリア指定 */
+
+#define TA_CEILING		UINT_C(0x03)	/* 優先度上限プロトコル */
+
+#define TA_STA			UINT_C(0x02)	/* 周期通知を動作状態で生成 */
+
+#define TA_NONKERNEL	UINT_C(0x02)	/* カーネル管理外の割込み */
+
+#define TA_ENAINT		UINT_C(0x01)	/* 割込み要求禁止フラグをクリア */
+#define TA_EDGE			UINT_C(0x02)	/* エッジトリガ */
+
+/*
+ *  サービスコールの動作モードの定義
+ */
+#define TWF_ORW			UINT_C(0x01)	/* イベントフラグのOR待ち */
+#define TWF_ANDW		UINT_C(0x02)	/* イベントフラグのAND待ち */
+
+/*
+ *  通知処理モードの定義
+ */
+#define TNFY_HANDLER	UINT_C(0x00)		/* タイムイベントハンドラの呼出し */
+#define TNFY_SETVAR		UINT_C(0x01)		/* 変数の設定 */
+#define TNFY_INCVAR		UINT_C(0x02)		/* 変数のインクリメント */
+#define TNFY_ACTTSK		UINT_C(0x03)		/* タスクの起動 */
+#define TNFY_WUPTSK		UINT_C(0x04)		/* タスクの起床 */
+#define TNFY_SIGSEM		UINT_C(0x05)		/* セマフォの資源の返却 */
+#define TNFY_SETFLG		UINT_C(0x06)		/* イベントフラグのセット */
+#define TNFY_SNDDTQ		UINT_C(0x07)		/* データキューへの送信 */
+
+#define TENFY_SETVAR	UINT_C(0x10)		/* 変数の設定 */
+#define TENFY_INCVAR	UINT_C(0x20)		/* 変数のインクリメント */
+#define TENFY_ACTTSK	UINT_C(0x30)		/* タスクの起動 */
+#define TENFY_WUPTSK	UINT_C(0x40)		/* タスクの起床 */
+#define TENFY_SIGSEM	UINT_C(0x50)		/* セマフォの返却 */
+#define TENFY_SETFLG	UINT_C(0x60)		/* イベントフラグのセット */
+#define TENFY_SNDDTQ	UINT_C(0x70)		/* データキューへの送信 */
+
+/*
+ *  オブジェクトの状態の定義
+ */
+#define TTS_RUN			UINT_C(0x01)	/* 実行状態 */
+#define TTS_RDY			UINT_C(0x02)	/* 実行可能状態 */
+#define TTS_WAI			UINT_C(0x04)	/* 待ち状態 */
+#define TTS_SUS			UINT_C(0x08)	/* 強制待ち状態 */
+#define TTS_WAS			UINT_C(0x0c)	/* 二重待ち状態 */
+#define TTS_DMT			UINT_C(0x10)	/* 休止状態 */
+
+#define TTW_SLP			UINT_C(0x0001)	/* 起床待ち */
+#define TTW_DLY			UINT_C(0x0002)	/* 時間経過待ち */
+#define TTW_SEM			UINT_C(0x0004)	/* セマフォの資源獲得待ち */
+#define TTW_FLG			UINT_C(0x0008)	/* イベントフラグ待ち */
+#define TTW_SDTQ		UINT_C(0x0010)	/* データキューへの送信待ち */
+#define TTW_RDTQ		UINT_C(0x0020)	/* データキューからの受信待ち */
+#define TTW_SPDQ		UINT_C(0x0100)	/* 優先度データキューへの送信待ち */
+#define TTW_RPDQ		UINT_C(0x0200)	/* 優先度データキューからの受信待ち */
+#define TTW_MTX			UINT_C(0x0080)	/* ミューテックスのロック待ち状態 */
+#define TTW_MPF			UINT_C(0x2000)	/* 固定長メモリブロックの獲得待ち */
+
+#define TCYC_STP		UINT_C(0x01)	/* 周期通知が動作していない */
+#define TCYC_STA		UINT_C(0x02)	/* 周期通知が動作している */
+
+#define TALM_STP		UINT_C(0x01)	/* アラーム通知が動作していない */
+#define TALM_STA		UINT_C(0x02)	/* アラーム通知が動作している */
+
+/*
+ *  その他の定数の定義
+ */
+#define TSK_SELF		0			/* 自タスク指定 */
+#define TSK_NONE		0			/* 該当するタスクがない */
+
+#define TPRI_SELF		0			/* 自タスクのベース優先度 */
+#define TPRI_INI		0			/* タスクの起動時優先度 */
+
+#define TIPM_ENAALL		0			/* 割込み優先度マスク全解除 */
+
+/*
+ *  構成定数とマクロ
+ */
+
+/*
+ *  優先度の範囲
+ */
+#define TMIN_TPRI		1			/* タスク優先度の最小値（最高値）*/
+#define TMAX_TPRI		16			/* タスク優先度の最大値（最低値）*/
+#define TMIN_DPRI		1			/* データ優先度の最小値（最高値）*/
+#define TMAX_DPRI		16			/* データ優先度の最大値（最低値）*/
+#define TMIN_ISRPRI		1			/* 割込みサービスルーチン優先度の最小値 */
+#define TMAX_ISRPRI		16			/* 割込みサービスルーチン優先度の最大値 */
+
+/*
+ *  バージョン情報
+ */
+#define TKERNEL_MAKER	UINT_C(0x0118)	/* カーネルのメーカーコード */
+#define TKERNEL_PRID	UINT_C(0x0007)	/* カーネルの識別番号 */
+#define TKERNEL_SPVER	UINT_C(0xf631)	/* カーネル仕様のバージョン番号 */
+#define TKERNEL_PRVER	UINT_C(0x3010)	/* カーネルのバージョン番号 */
+
+/*
+ *  キューイング回数の最大値
+ */
+#define TMAX_ACTCNT		UINT_C(1)		/* 起動要求キューイング数の最大値 */
+#define TMAX_WUPCNT		UINT_C(1)		/* 起床要求キューイング数の最大値 */
+
+/*
+ *  ビットパターンのビット数
+ */
+#ifndef TBIT_FLGPTN					/* イベントフラグのビット数 */
 #define TBIT_FLGPTN		(sizeof(FLGPTN) * CHAR_BIT)
 #endif /* TBIT_FLGPTN */
 
 /*
- *  ã·ã¹ãã æå»ã®èª¿æ´ã§ããç¯å²ï¼åä½ï¼Î¼ç§ï¼
- */
-#define TMIN_ADJTIM		-1000000		/* ã·ã¹ãã æå»ã®æå°èª¿æ´æé */
-#define TMAX_ADJTIM		1000000			/* ã·ã¹ãã æå»ã®æå¤§èª¿æ´æé */
-
-/*
- *  ã¡ã¢ãªé åç¢ºä¿ã®ããã®ãã¯ã­
+ *  システム時刻の調整できる範囲（単位：μ秒）
+ */
+#define TMIN_ADJTIM		-1000000		/* システム時刻の最小調整時間 */
+#define TMAX_ADJTIM		1000000			/* システム時刻の最大調整時間 */
+
+/*
+ *  メモリ領域確保のためのマクロ
  *
- *  ä»¥ä¸ã®TOPPERS_COUNT_SZã¨TOPPERS_ROUND_SZã®å®ç¾©ã¯ï¼unitã2ã®å·¾ä¹ã§ã
- *  ããã¨ãä»®å®ãã¦ããï¼
+ *  以下のTOPPERS_COUNT_SZとTOPPERS_ROUND_SZの定義は，unitが2の巾乗であ
+ *  ることを仮定している．
  */
 #ifndef TOPPERS_COUNT_SZ
@@ -776,7 +666,7 @@
 
 /*
- *  ãã®ä»ã®æ§æå®æ°
- */
-#define TMAX_MAXSEM		UINT_MAX	/* ã»ããã©ã®æå¤§è³æºæ°ã®æå¤§å¤ */
+ *  その他の構成定数
+ */
+#define TMAX_MAXSEM		UINT_MAX	/* セマフォの最大資源数の最大値 */
 
 #ifdef __cplusplus
Index: EcnlProtoTool/trunk/asp3_dcre/include/log_output.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/include/log_output.h	(revision 299)
+++ EcnlProtoTool/trunk/asp3_dcre/include/log_output.h	(revision 321)
@@ -8,47 +8,32 @@
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  $Id$
@@ -56,5 +41,5 @@
 
 /*
- *		ã·ã¹ãã ã­ã°ã®ãã©ã¼ãããåºå
+ *		システムログのフォーマット出力
  */
 
@@ -70,8 +55,8 @@
 
 /*
- *  æå­åæ´å½¢åºå
+ *  文字列整形出力
  *
- *  formatã§æå®ããããã©ã¼ãããè¨è¿°ã¨p_argsã§æå®ãããå¼æ°åããä½
- *  æããã¡ãã»ã¼ã¸ãï¼1æå­åºåé¢æ°putcãç¨ãã¦åºåããï¼
+ *  formatで指定されるフォーマット記述とp_argsで指定される引数列から作
+ *  成したメッセージを，1文字出力関数putcを用いて出力する．
  */
 extern void	syslog_printf(const char *format, const intptr_t *p_args,
@@ -79,20 +64,16 @@
 
 /*
- *  ã­ã°æ
-å ±ã®åºå
+ *  ログ情報の出力
  *
- *  p_syslogã§æå®ãããã­ã°æ
-å ±ãæå­åã«æ´å½¢ãï¼1æå­åºåé¢æ°putcãç¨
- *  ãã¦åºåããï¼
+ *  p_syslogで指定されるログ情報を文字列に整形し，1文字出力関数putcを用
+ *  いて出力する．
  */
 extern void	syslog_print(const SYSLOG *p_syslog, void (*putc)(char)) throw();
 
 /*
- *  ã­ã°æ
-å ±åªå¤±ã¡ãã»ã¼ã¸æå­å
+ *  ログ情報喪失メッセージ文字列
  *
- *  lostlogåã®ã­ã°æ
-å ±ãå¤±ãããæ¨ã®ã¡ãã»ã¼ã¸ãï¼1æå­åºåé¢æ°putcã
- *  ç¨ãã¦åºåããï¼
+ *  lostlog個のログ情報が失われた旨のメッセージを，1文字出力関数putcを
+ *  用いて出力する．
  */
 extern void	syslog_lostmsg(uint_t lostlog, void (*putc)(char)) throw();
